### Function Macro

# GLib node_insert_data_before

since: 2.0

#### Declaration

    #define g_node_insert_data_before (
      parent,
      sibling,
      data
    )

#### Description

Inserts a new `GNode` before the given sibling.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`parent`

  Type: `-`

  The `GNode` to place the new `GNode` under.

`sibling`

  Type: `-`

  The sibling `GNode` to place the new `GNode` before.

`data`

  Type: `-`

  The data for the new `GNode`.